### Method

# Soup MessageHeaders replace

#### Declaration [src]

    void
    soup_message_headers_replace (
      SoupMessageHeaders* hdrs,
      const char* name,
      const char* value
    )

#### Description [src]

Replaces the value of the header `name` in `hdrs` with `value`.

See also `soup_message_headers_append()`.

The caller is expected to make sure that `name` and `value` are syntactically correct.

#### Parameters

`name`

  Type: `const char*`

  The header name to replace.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char*`

  The new value of `name`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.